DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# StringArrayNew

Allocate an array of strings

## SYNOPSIS

`#include "dip_string.h"`

dip_Error dip_StringArrayNew ( array, size, stringSize, init, resources )

## FUNCTION

This function allocates an array of strings. `size` specifies the size of the array, `stringSize` the size of the individual strings, which are allocated too. If `StringSize` is zero, and `init` is not, the strings in the array are initialised with `init` (in size and content). If both `stringSize` and `init` are zero, strings of zero length are created. (see `StringNew`).

## ARGUMENTS

Data type | Name | Description
`dip_StringArray *` | `array` | Pointer to the array
`dip_int` | `size` | Size of the array
`dip_int` | `stringSize` | Size of the strings
`char *` | `init` | Initialisation string
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`StringArrayFree`, `StringArrayCopy`

`ArrayNew`, `IntegerArrayNew`, `FloatArrayNew`, `ComplexArrayNew`, `BoundaryArrayNew`, `FrameWorkProcessArrayNew`, `DataTypeArrayNew`, `ImageArrayNew`, `BooleanArrayNew`, `VoidPointerArrayNew`, `StringArrayNew`, `CoordinateArrayNew`